org.postgis.binary

## Class ValueSetter

- java.lang.Object
- - org.postgis.binary.ValueSetter

Direct Known Subclasses:
  ValueSetter.NDR, ValueSetter.XDR

    public abstract class ValueSetter
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ValueSetter.NDR`
`static class` `ValueSetter.XDR`

### Field Summary

Fields
`byte` `endian`

### Constructor Summary

Constructors
Constructor and Description
`ValueSetter(ByteSetter data, byte endian)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `setByte(byte value)` Set a byte, should be equal for all endians
`void` `setDouble(double data)` Set a double.
`void` `setInt(int value)`
`protected abstract void` `setInt(int value, int index)` Set a 32-Bit integer
`void` `setLong(long value)`
`protected abstract void` `setLong(long data, int index)` Set a long value.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### endian

    public final byte endian

### Constructor Detail

#### ValueSetter

    public ValueSetter(ByteSetter data,
                       byte endian)

### Method Detail

#### setByte

    public void setByte(byte value)

Set a byte, should be equal for all endians

Parameters:
  `value` - byte value to be set with.

#### setInt

    public void setInt(int value)

#### setLong

    public void setLong(long value)

#### setInt

    protected abstract void setInt(int value,
                                   int index)

Set a 32-Bit integer

Parameters:
  `value` - int value to be set with
  `index` - int value for the index

#### setLong

    protected abstract void setLong(long data,
                                    int index)

Set a long value. This is not needed directly, but as a nice side-effect from GetDouble.

Parameters:
  `data` - int value to be set with
  `index` - int value for the index

#### setDouble

    public void setDouble(double data)

Set a double.

Parameters:
  `data` - double value to be set with

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`